<%--
  The contents of this file are subject to the terms
  of the Common Development and Distribution License
  (the License).  You may not use this file except in
  compliance with the License.

  You can obtain a copy of the license at
  http://www.sun.com/cddl/cddl.html or
  at portlet-repository/CDDLv1.0.txt.
  See the License for the specific language governing
  permissions and limitations under the License.

  When distributing Covered Code, include this CDDL
  Header Notice in each file and include the License file
  at portlet-repository/CDDLv1.0.txt.
  If applicable, add the following below the CDDL Header,
  with the fields enclosed by brackets [] replaced by
  you own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"
 --%>
<%--
 * Xiaobo Yang, CCLRC e-Science Centre, Daresbury Laboratory, UK
 * 27 March 2007
 * 
 --%>
<%@ page session="false" %>
<%@ page contentType="text/html" %>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects/>

<script type="text/javascript"
        src='<%= renderResponse.encodeURL(renderRequest.getContextPath()
							+ "/dwr/interface/SelectPhoto.js") %>'> 
</script>

<script type="text/javascript"
        src='<%= renderResponse.encodeURL(renderRequest.getContextPath()
							+ "/dwr/engine.js") %>'> 
</script>

<script type="text/javascript"
        src='<%= renderResponse.encodeURL(renderRequest.getContextPath()
							+ "/dwr/util.js") %>'> 
</script>

<script type="text/javascript">
  var timerId = null;

  function <portlet:namespace/>showPhoto(buttonClicked) {
    var action = DWRUtil.getValue("<portlet:namespace/>button");
    if ((action == "Stop") && (buttonClicked == "true")) {
      clearTimeout(timerId);
      DWRUtil.setValue("<portlet:namespace/>button", "Start");
    }
    else {
      SelectPhoto.getNextPhoto(<portlet:namespace/>showNextPhoto);
      if (action != "Stop")
        DWRUtil.setValue("<portlet:namespace/>button", "Stop");
    }
  }

  function <portlet:namespace/>showNextPhoto(photo) {
    var v = '<%= renderRequest.getContextPath() %>' + '/images/' + photo;
    v = '<img src=' + '"' + v + '"' + 'height="485" width="449" alt="photo" border="0"/>';
    DWRUtil.setValue("<portlet:namespace/>image", v);
    timerId = setTimeout("<portlet:namespace/>showPhoto('false')", 4000);
  }
</script>

<h4>Photo Show</h4>

<div id="<portlet:namespace/>image"></div>

<p>
  <input id="<portlet:namespace/>button" type="button" value="Start" onclick="<portlet:namespace/>showPhoto('true')"/>
</p>
